For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin the Discord
ManualAPI GuideAPI Reference
  • Overview
    • API Reference
    • Client libraries
  • API Reference
      • GETList Models
      • GETGet a Model
LogoLogo
Contact usJoin the Discord
API ReferenceModels

List Models

GET
https://host.com/v1/models
GET
/v1/models
$curl https://host.com/v1/models
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "display_name": "display_name",
7 "type": "model",
8 "max_tokens": 1,
9 "max_input_tokens": 1,
10 "embed_dim": 1,
11 "capabilities": {
12 "batch": {
13 "supported": true
14 },
15 "citations": {
16 "supported": true
17 },
18 "code_execution": {
19 "supported": true
20 },
21 "context_management": {
22 "supported": true
23 },
24 "effort": {
25 "supported": true,
26 "low": {
27 "supported": true
28 },
29 "medium": {
30 "supported": true
31 },
32 "high": {
33 "supported": true
34 },
35 "max": {
36 "supported": true
37 }
38 },
39 "image_input": {
40 "supported": true
41 },
42 "pdf_input": {
43 "supported": true
44 },
45 "structured_outputs": {
46 "supported": true
47 },
48 "thinking": {
49 "supported": true,
50 "types": {
51 "adaptive": {
52 "supported": true
53 },
54 "enabled": {
55 "supported": true
56 }
57 }
58 }
59 }
60 }
61 ],
62 "has_more": true,
63 "first_id": "first_id",
64 "last_id": "last_id"
65}
List Models
Was this page helpful?
Previous

Get a Model

Next
Built with

Query parameters

before_idstringOptional
after_idstringOptional
limitintegerOptional

Response

This endpoint returns an object.
datalist of objects
List of model objects.
has_moreboolean
Whether more models are available.
first_idstring

First model id in page, usable as before_id.

last_idstring

Last model id in page, usable as after_id.

Errors

401
Unauthorized
422
Unprocessable Entity